Gary Hartl wrote:
Hi all;

I'm setting up snmpd, I've download the package and installed it ok.
I've setup the configuration files, when i run

/usr/local/etc/rc.d/snmpd start i get
Starting snmpd.
/libexec/ld-elf.so.1: Shared object "libperl.so" not found, required by
"snmpd"

So I do a quick locate and find

netra1# locate libperl.so
/usr/local/lib/perl5/5.8.7/mach/CORE/libperl.so

Is that an uncompiled version of libperl.so?  Should I add
/usr/local/lib/perl5/5.8.7/mach/CORE to my path?

Or is it something else completely?


It's because the current version of perl in the ports tree is 5.8.8
-- when the net-snmpd package was compiled it was linked against a later
version.  You can probably see this by examining the output of:

  % ldd /usr/local/sbin/snmpd

The fix is either:

  upgrade perl  (recommended, as there's a security advisory against
                 older versions of perl:
http://www.vuxml.org/freebsd/5b47c279-8cb5-11dc-8878-0016179b2dd5.html )

or:

   compile the net-mgmt/net-snmpd port from sources

        Cheers,

        Matthew

--
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                 Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
                                                 Kent, CT11 9PW

Attachment: signature.asc
Description: OpenPGP digital signature

Reply via email to